### Method

# ECal Component set_categories_list

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_categories_list (
      ECalComponent* comp,
      const GSList* categ_list
    )

#### Description [src]

Sets the list of categories of a calendar component object.

Available since: 3.34

#### Parameters

`categ_list`

  Type: A list of `utf8`

  List of strings, one for each category.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.